tbb::interface6::internal::filter_node_leaf< T, U, Body > Class Template Reference

Node in parse tree representing result of make_filter. More...

`#include <pipeline.h>`

Inheritance diagram for tbb::interface6::internal::filter_node_leaf< T, U, Body >:
Collaboration diagram for tbb::interface6::internal::filter_node_leaf< T, U, Body >:

## Public Member Functions

| filter_node_leaf (tbb::filter::mode m, const Body &b)
Public Member Functions inherited from tbb::interface6::internal::filter_node
void | add_ref ()
| Increment reference count. More...
void | remove_ref ()
| Decrement reference count and delete if it becomes zero. More...
virtual | ~filter_node ()

## Private Member Functions

void | add_to (pipeline &p) __TBB_override
| Add concrete_filter to pipeline. More...

## Private Attributes

const tbb::filter::mode | mode
const Body | body

## Additional Inherited Members

Protected Member Functions inherited from tbb::interface6::internal::filter_node
| filter_node ()

## Detailed Description

### template<typename T, typename U, typename Body>
class tbb::interface6::internal::filter_node_leaf< T, U, Body >

Node in parse tree representing result of make_filter.

Definition at line 551 of file pipeline.h.

## Constructor & Destructor Documentation

## filter_node_leaf()

template<typename T , typename U , typename Body >

tbb::interface6::internal::filter_node_leaf< T, U, Body >::filter_node_leaf | ( | tbb::filter::mode | m,
|  | const Body & | b
| ) |  |

inline

Definition at line 559 of file pipeline.h.

: mode(m), body(b) {}

## Member Function Documentation

## add_to()

template<typename T , typename U , typename Body >

void tbb::interface6::internal::filter_node_leaf< T, U, Body >::add_to | ( | pipeline & |  | ) |

inline private virtual

Add concrete_filter to pipeline.

Implements tbb::interface6::internal::filter_node.

Definition at line 554 of file pipeline.h.

{
concrete_filter<T,U,Body>* f = new concrete_filter<T,U,Body>(mode,body);
p.add_filter( *f );
}

References tbb::interface6::internal::filter_node_leaf< T, U, Body >::body, tbb::interface6::internal::filter_node_leaf< T, U, Body >::mode, and p.

## Member Data Documentation

## body

template<typename T , typename U , typename Body >

const Body tbb::interface6::internal::filter_node_leaf< T, U, Body >::body

private

Definition at line 553 of file pipeline.h.

Referenced by tbb::interface6::internal::filter_node_leaf< T, U, Body >::add_to().

## mode

template<typename T , typename U , typename Body >

const tbb::filter::mode tbb::interface6::internal::filter_node_leaf< T, U, Body >::mode

private

Definition at line 552 of file pipeline.h.

Referenced by tbb::interface6::internal::filter_node_leaf< T, U, Body >::add_to().

The documentation for this class was generated from the following file:

- pipeline.h

tbb::interface6::internal::filter_node_leaf::body
const Body body
Definition: pipeline.h:553
tbb::interface6::internal::filter_node_leaf::mode
const tbb::filter::mode mode
Definition: pipeline.h:552
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.